package com.eco.plugin.xx.hrzdmsg.dsdd.dsdd;

import com.fr.schedule.base.entity.AbstractScheduleEntity;
import com.fr.stable.db.entity.TableAssociation;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

@Entity
@Table(name = "fine_output_xx_message") //表名
@TableAssociation(associated = true)
public class TsEntity extends AbstractScheduleEntity{
    public TsEntity(){}

    @Column(name = "businessCode")
    private String businessCode = null;

    @Column(name = "content")
    private String content = null;

    @Column(name = "secretKey")
    private String secretKey = null;

    @Column(name = "source")
    private String source = null;

    @Column(name = "sourceNote")
    private String sourceNote = null;


    public TsEntity id(String id) {
        setId(id);
        return this;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public TsEntity content(String content){
        setContent(content);
        return this;
    }

    public String getBusinessCode() {
        return businessCode;
    }

    public void setBusinessCode(String businessCode) {
        this.businessCode = businessCode;
    }

    public TsEntity businessCode(String content){
        setBusinessCode(content);
        return this;
    }

    public String getSecretKey() {
        return secretKey;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }

    public TsEntity secretKey(String content){
        setSecretKey(content);
        return this;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public TsEntity source(String content){
        setSource(content);
        return this;
    }

    public String getSourceNote() {
        return sourceNote;
    }

    public void setSourceNote(String sourceNote) {
        this.sourceNote = sourceNote;
    }

    public TsEntity sourceNote(String content){
        setSourceNote(content);
        return this;
    }

    //转换成bean对象
    @Override
    public TsBean createBean() {
        return new TsBean()
                .id(this.getId())
                .content(this.getContent())
                .businessCode(this.getBusinessCode())
                .secretKey(this.getSecretKey())
                .source(this.getSource())
                .sourceNote(this.getSourceNote())
                ;
    }
}
